## python-azure 20240806+git

=== sdk/ai/azure-ai-generative/azure/ai/generative/evaluate/pf_templates/built_in_metrics/chat/requirements.txt ===
azureml-metrics[generative-ai]

=== debian/changelog ===
python-azure (20240806+git-1) unstable; urgency=medium

  * New upstream version 20240806+git

 -- Luca Boccassi <bluca@debian.org>  Tue, 06 Aug 2024 09:28:20 +0100

## python-azure 20241008+git

=== tools/azure-sdk-tools/ci_tools/versioning/requirements.txt ===
packaging==23.1
pyparsing==2.4.5
six==1.13.0
setuptools==72.2.0

=== debian/changelog ===
python-azure (20241008+git-1) unstable; urgency=medium

  * New upstream version 20241008+git
  * Drop changelog-removal-fix.patch, fixed upstream
  * Update ignore mask for CRLF diffs

 -- Luca Boccassi <bluca@debian.org>  Tue, 08 Oct 2024 13:31:18 +0100

python-azure (20240903+git-1) unstable; urgency=medium

  * New upstream version 20240903+git
  * Fix breakage in sdk/fabric/azure-mgmt-fabric/setup.py

 -- Luca Boccassi <bluca@debian.org>  Tue, 03 Sep 2024 09:53:13 +0100

## python-azure 20241119+git

=== debian/changelog ===
python-azure (20241119+git-1) unstable; urgency=medium

  * New upstream version 20241119+git

 -- Luca Boccassi <bluca@debian.org>  Tue, 19 Nov 2024 10:22:35 +0000

python-azure (20241111+git-1) unstable; urgency=medium

  * New upstream version 20241111+git

 -- Luca Boccassi <bluca@debian.org>  Mon, 11 Nov 2024 10:55:07 +0000

## python-azure 20250114+git

=== debian/changelog ===
python-azure (20250114+git-1) unstable; urgency=medium

  * New upstream version 20250114+git

 -- Luca Boccassi <bluca@debian.org>  Tue, 14 Jan 2025 10:45:51 +0000

## python-azure 20250211+git

=== debian/changelog ===
python-azure (20250211+git-1) unstable; urgency=medium

  * New upstream version 20250211+git
  * Refresh patch to remove fuzz

 -- Luca Boccassi <bluca@debian.org>  Tue, 11 Feb 2025 10:22:29 +0000

## python-azure 20250304%2Bgit

=== debian/rules ===
#!/usr/bin/make -f

# Package all submodules except azure-sdk-tools, *nspkg
MODULES = $(sort $(filter-out scripts/quickstart_tooling_llc/template sdk/core/azure sdk/core/azure-mgmt sdk/storage/azure-storage-extensions sdk/storage/azure-storage sdk/core/azure-core-tracing-opencensus sdk/core/azure-core-tracing-opentelemetry sdk/monitor/azure-monitor %-nspkg tools/azure-sdk-tools tools/azure-sdk-tools/packaging_tools tools/azure-sdk-tools/devtools_testutils,$(subst /setup.py,,$(wildcard */*/*/setup.py))))

# rules with wildcards do not like '/', so we have to escape. Use three dots as it's unlikely to be used in a name.
MODULES_ESCAPE = $(subst /,...,$(MODULES))

%:
	dh $@ --buildsystem=pybuild


override_dh_auto_clean:
	dh_auto_clean
	set -e; $(foreach module, $(MODULES), \
	if [ -f $(module)/setup.py.orig ]; then \
		mv $(module)/setup.py.orig $(module)/setup.py; \
	fi;)


# dh_auto_configure overrides

dh_auto_configure-sdk...storage...azure-storage-%:
	cp sdk/storage/azure-storage-$*/setup.py sdk/storage/azure-storage-$*/setup.py.orig
	sed 's/~=/>=/g' sdk/storage/azure-storage-$*/setup.py.orig > sdk/storage/azure-storage-$*/setup.py
	PYBUILD_NAME=$(notdir $(subst -,_,sdk/storage/azure-storage-$*)) dh_auto_configure --sourcedirectory=sdk/storage/azure-storage-$*
	echo $(notdir sdk/storage/azure-storage-$*) python3-azure-storage >> debian/python3-azure-storage.pydist
	echo $(notdir sdk/storage/azure-storage-$*) python3-azure-storage >> debian/py3dist-overrides

dh_auto_configure-%:
	cp $(subst ...,/,$*)/setup.py $(subst ...,/,$*)/setup.py.orig
	sed 's/~=/>=/g' $(subst ...,/,$*)/setup.py.orig > $(subst ...,/,$*)/setup.py
	PYBUILD_NAME=$(notdir $(subst -,_,$(subst ...,/,$*))) dh_auto_configure --sourcedirectory=$(subst ...,/,$*)
	echo $(notdir $(subst ...,/,$*)) python3-azure >> debian/python3-azure.pydist
	echo $(notdir $(subst ...,/,$*)) python3-azure >> debian/py3dist-overrides

override_dh_auto_configure: $(foreach pyvermodule, $(MODULES_ESCAPE), dh_auto_configure-$(pyvermodule))


# dh_auto_build overrides

dh_auto_build-%:
	PYBUILD_NAME=$(notdir $(subst -,_,$(subst ...,/,$*))) dh_auto_build --sourcedirectory=$(subst ...,/,$*)

override_dh_auto_build: $(foreach pyvermodule, $(MODULES_ESCAPE), dh_auto_build-$(pyvermodule))
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS))$(filter nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml doc/sphinx doc/sphinx/_build/html # HTML generator
endif


# dh_auto_install overrides

$(CURDIR)/debian/python3-azure-storage:
	mkdir -p $@

dh_auto_install-sdk...storage...azure-storage-%: $(CURDIR)/debian/python3-azure-storage
	PYBUILD_NAME=$(subst -,_,azure-storage-$*) dh_auto_install --sourcedirectory=sdk/storage/azure-storage-$*

	cp -rv $(CURDIR)/debian/python3-azure-storage-$*/usr $(CURDIR)/debian/python3-azure-storage
	rm -r $(CURDIR)/debian/python3-azure-storage-$*

$(CURDIR)/debian/python3-azure:
	mkdir -p $@

dh_auto_install-%: $(CURDIR)/debian/python3-azure
	PYBUILD_NAME=$(notdir $(subst -,_,$(subst ...,/,$*))) dh_auto_install --sourcedirectory=$(subst ...,/,$*)

	cp -rv $(CURDIR)/debian/python3-$(notdir $(subst ...,/,$*))/usr $(CURDIR)/debian/python3-azure
	rm -r $(CURDIR)/debian/python3-$(notdir $(subst ...,/,$*))

dh_auto_install-sdk...core...azure:
	PYBUILD_NAME=azure dh_auto_install --sourcedirectory=sdk/core/azure
	# Make the build reproducible
	LC_ALL=C sort --stable -o debian/python3-azure.pydist debian/python3-azure.pydist
	LC_ALL=C sort --stable -o debian/python3-azure-storage.pydist debian/python3-azure-storage.pydist

override_dh_auto_install: $(foreach pyvermodule, $(MODULES_ESCAPE), dh_auto_install-$(pyvermodule))
	# For some reason the __init__ is not picked up
	mkdir -p $(CURDIR)/debian/python3-azure-storage/usr/lib/python3/dist-packages/azure/storage/
	cp -v sdk/storage/azure-storage-blob/azure/__init__.py \
		$(CURDIR)/debian/python3-azure-storage/usr/lib/python3/dist-packages/azure/storage/
	# Apache2 license notice
	mkdir -p $(CURDIR)/debian/python3-azure/usr/share/doc/python3-azure/
	cp -v sdk/ml/azure-ai-ml/NOTICE.txt $(CURDIR)/debian/python3-azure/usr/share/doc/python3-azure/

# dh_auto_test overrides

override_dh_auto_test:
# Don't test at build time: the circular dependency on python-azure-storage
# makes this way too messy

=== debian/watch ===
version=4
opts="mode=git,pretty=%cd+git" \
 https://github.com/Azure/azure-sdk-for-python.git HEAD

## python-azure 20250304+git

=== debian/changelog ===
python-azure (20250304+git-1) unstable; urgency=medium

  * New upstream version 20250304+git

 -- Luca Boccassi <bluca@debian.org>  Tue, 04 Mar 2025 12:39:13 +0000

## python-azure 20250401+git

=== sdk/ai/azure-ai-generative/azure/ai/generative/evaluate/pf_templates/built_in_metrics/qa/requirements.txt ===
promptflow
promptflow-tools

=== debian/changelog ===
python-azure (20250401+git-1) unstable; urgency=medium

  * New upstream version 20250401+git

 -- Luca Boccassi <bluca@debian.org>  Tue, 01 Apr 2025 10:36:28 +0100

## python-azure 20250603+git

=== doc/sphinx/requirements.txt ===
sphinx
sphinx_rtd_theme
myst-parser

=== sdk/identity/azure-identity/tests/managed-identity-live/requirements.txt ===
../../../../core/azure-core
../..
../../../../keyvault/azure-keyvault-secrets
../../../../../tools/azure-sdk-tools
pytest
pytest-asyncio
aiohttp>=3.0

=== sdk/projects/azure-projects/samples/restaurant_reviews/requirements.txt ===
pydantic
Flask
azure-projects
azure-data-tables
azure-monitor-opentelemetry

=== tools/azure-sdk-tools/tests/integration/scenarios/complex_requirements/requirements.txt ===
trio
requests
aiohttp>=3.0
opencensus>=0.6.0
opencensus-ext-azure
opencensus-ext-threading
-e ../../../../../../tools/azure-sdk-tools
a/contained/package
https://docsupport.blob.core.windows.net/repackaged/azure-core-1.5.0.zip
./optional-environment-test-1.0.0.zip

=== debian/changelog ===
python-azure (20250603+git-1) unstable; urgency=medium

  * New upstream version 20250603+git (Closes: #1106136)

 -- Luca Boccassi <bluca@debian.org>  Tue, 03 Jun 2025 11:46:38 +0100

=== debian/control ===
Source: python-azure
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>,
           Luca Boccassi <bluca@debian.org>,
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               dh-sequence-sphinxdoc <!nodoc>,
               python3-adal,
               python3-all,
               python3-avro (>= 1.10.0~),
               python3-azure-datalake-store,
               python3-chardet,
               python3-doc <!nodoc>,
               python3-flask,
               python3-isodate,
               python3-keyring,
               python3-jwt,
               python3-msal,
               python3-msal-extensions,
               python3-msrest (>= 0.5~),
               python3-msrestazure (>= 0.5~),
               python3-myst-parser <!nodoc>,
               python3-recommonmark,
               python3-requests,
               python3-setuptools,
               python3-six,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-typing-extensions (>= 3.10~),
               python3-uamqp,
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-azure
Vcs-Git: https://salsa.debian.org/python-team/packages/python-azure.git
Homepage: https://github.com/Azure/azure-sdk-for-python

Package: python3-azure
Architecture: all
Depends: python3-msrest,
         python3-msrestazure,
         python3-requests,
         python3-avro (>= 1.10.0~),
         ${misc:Depends},
         ${python3:Depends}
Breaks: python3-azure-cosmos,
Replaces: python3-azure-cosmos,
Suggests: python-azure-doc
Description: Microsoft Azure SDK for Python 3.x
 The Azure SDK provides a set of Python packages that make it easy to access
 the Microsoft Azure components such as ServiceManagement, Storage, and
 ServiceBug.
 .
 This package contains the Python 3.x modules.

Package: python-azure-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Microsoft Azure SDK for Python - Documentation
 The Azure SDK provides a set of Python packages that make it easy to access
 the Microsoft Azure components such as ServiceManagement, Storage, and
 ServiceBug.
 .
 This package contains the HTML documentation.

Package: python3-azure-storage
Architecture: all
Depends: python3-cryptography (>= 1.1~),
         ${misc:Depends},
         ${python3:Depends}
Breaks: python3-azure (<< 20200130+git-3~)
Replaces: python3-azure (<< 20200130+git-3~)
Description: Microsoft Azure Storage Library for Python 3.x
 This Python module provides an API for consuming Microsoft Azure Storage
 services including Blob, Queue, Table and Files.
 .
 This is the Python 3 version of the package.

## python-azure 20250829+git

=== debian/changelog ===
python-azure (20250829+git-3) unstable; urgency=medium

  * Team upload.
  * Add Breaks: python3-azure-cli (<< 2.76.0) (see
    https://github.com/Azure/azure-cli/pull/31684).

 -- Colin Watson <cjwatson@debian.org>  Fri, 12 Sep 2025 11:12:37 +0100

python-azure (20250829+git-2) unstable; urgency=medium

  * Team upload.
  * Use pybuild-plugin-pyproject, including submodules that have
    pyproject.toml and not setup.py (closes: #1114162).

 -- Colin Watson <cjwatson@debian.org>  Thu, 11 Sep 2025 18:21:29 +0100

python-azure (20250829+git-1) unstable; urgency=medium

  * New upstream version 20250829+git
  * d/control: bump Standards-Version to 4.7.2, no changes

 -- Luca Boccassi <bluca@debian.org>  Tue, 02 Sep 2025 09:33:09 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                dh-python,
                dh-sequence-python3,
                dh-sequence-sphinxdoc <!nodoc>,
+               pybuild-plugin-pyproject,
                python3-adal,
                python3-all,
                python3-avro (>= 1.10.0~),
@@ -31,7 +32,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
                python3-typing-extensions (>= 3.10~),
                python3-uamqp,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-azure
@@ -46,7 +47,8 @@
          python3-avro (>= 1.10.0~),
          ${misc:Depends},
          ${python3:Depends}
-Breaks: python3-azure-cosmos,
+Breaks: python3-azure-cli (<< 2.76.0),
+        python3-azure-cosmos,
 Replaces: python3-azure-cosmos,
 Suggests: python-azure-doc
 Description: Microsoft Azure SDK for Python 3.x

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # Package all submodules except azure-sdk-tools, *nspkg
-MODULES = $(sort $(filter-out scripts/quickstart_tooling_llc/template sdk/core/azure sdk/core/azure-mgmt sdk/storage/azure-storage-extensions sdk/storage/azure-storage sdk/core/azure-core-tracing-opencensus sdk/core/azure-core-tracing-opentelemetry sdk/monitor/azure-monitor %-nspkg tools/azure-sdk-tools tools/azure-sdk-tools/packaging_tools tools/azure-sdk-tools/devtools_testutils,$(subst /setup.py,,$(wildcard */*/*/setup.py))))
+MODULES = $(sort $(filter-out eng/tools/azure-sdk-tools scripts/quickstart_tooling_llc/template sdk/core/azure sdk/core/azure-mgmt sdk/edgemarketplace/azure-mgmt-edgemarketplace sdk/storage/azure-storage-extensions sdk/storage/azure-storage sdk/core/azure-core-tracing-opencensus sdk/core/azure-core-tracing-opentelemetry sdk/monitor/azure-monitor %-nspkg,$(foreach mod,$(wildcard */*/*),$(if $(or $(wildcard $(mod)/setup.py),$(wildcard $(mod)/pyproject.toml)),$(mod)))))
 
 # rules with wildcards do not like '/', so we have to escape. Use three dots as it's unlikely to be used in a name.
 MODULES_ESCAPE = $(subst /,...,$(MODULES))
@@ -13,6 +13,9 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	set -e; $(foreach module, $(MODULES), \
+	if [ -f $(module)/pyproject.toml.orig ]; then \
+		mv $(module)/pyproject.toml.orig $(module)/pyproject.toml; \
+	fi; \
 	if [ -f $(module)/setup.py.orig ]; then \
 		mv $(module)/setup.py.orig $(module)/setup.py; \
 	fi;)
@@ -28,8 +31,8 @@
 	echo $(notdir sdk/storage/azure-storage-$*) python3-azure-storage >> debian/py3dist-overrides
 
 dh_auto_configure-%:
-	cp $(subst ...,/,$*)/setup.py $(subst ...,/,$*)/setup.py.orig
-	sed 's/~=/>=/g' $(subst ...,/,$*)/setup.py.orig > $(subst ...,/,$*)/setup.py
+	[ ! -f $(subst ...,/,$*)/pyproject.toml ] || sed -i.orig 's/~=/>=/g' $(subst ...,/,$*)/pyproject.toml
+	[ ! -f $(subst ...,/,$*)/setup.py ] || sed -i.orig 's/~=/>=/g' $(subst ...,/,$*)/setup.py
 	PYBUILD_NAME=$(notdir $(subst -,_,$(subst ...,/,$*))) dh_auto_configure --sourcedirectory=$(subst ...,/,$*)
 	echo $(notdir $(subst ...,/,$*)) python3-azure >> debian/python3-azure.pydist
 	echo $(notdir $(subst ...,/,$*)) python3-azure >> debian/py3dist-overrides

## python-azure 20251014+git

=== sdk/eventgrid/azure-eventgrid/samples/basic/consume_samples/functionsapp/requirements.txt ===
azure-functions

=== debian/changelog ===
python-azure (20251014+git-1) unstable; urgency=medium

  * New upstream version 20251014+git
  * Add Breaks: python3-azure-cli (<< 2.78.0)
  * Drop duplicated azure-ai-textanalytics module

 -- Luca Boccassi <bluca@debian.org>  Tue, 14 Oct 2025 14:15:52 +0100

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
          python3-avro (>= 1.10.0~),
          ${misc:Depends},
          ${python3:Depends}
-Breaks: python3-azure-cli (<< 2.76.0),
+Breaks: python3-azure-cli (<< 2.78.0),
         python3-azure-cosmos,
 Replaces: python3-azure-cosmos,
 Suggests: python-azure-doc

## python-azure 20251104+git

=== common/smoketest/requirements.txt ===
azure-core
azure-identity
azure-cosmos>=4.0.0b5
azure-eventhub
azure-keyvault-certificates
azure-keyvault-keys
azure-keyvault-secrets
azure-storage-blob

=== doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pydocumentdb.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pydocumentdb.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pydocumentdb"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pydocumentdb"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== eng/tools/azure-sdk-tools/ci_tools/versioning/requirements.txt ===
packaging==23.1
pyparsing==2.4.5
six==1.13.0
setuptools==74.1.3

=== sdk/core/azure-core-experimental/samples/pyodide_integration/requirements.txt ===
python-dotenv
http://localhost:8000/dist/azure_core-1.25.0-py3-none-any.whl
azure-ai-textanalytics
azure-storage-blob
azure-ai-formrecognizer

=== sdk/identity/azure-identity/tests/managed-identity-live/requirements.txt ===
../../../../core/azure-core
../..
../../../../keyvault/azure-keyvault-secrets
../../../../../eng/tools/azure-sdk-tools
pytest
pytest-asyncio
aiohttp>=3.0

=== sdk/projects/azure-projects/samples/restaurant_reviews/requirements.txt ===
pydantic
Flask
azure-data-tables
azure-monitor-opentelemetry

=== sdk/identity/azure-identity/tests/integration/azure-vms/requirements.txt ===
../../../../../identity/azure-identity
../../../../../core/azure-core
azure-storage-blob
aiohttp

=== sdk/identity/azure-identity/tests/integration/azure-web-apps/requirements.txt ===
azure-core @ git+https://git@github.com/Azure/azure-sdk-for-python.git@main#subdirectory=sdk/core/azure-core
azure-identity @ git+https://git@github.com/Azure/azure-sdk-for-python.git@main#subdirectory=sdk/identity/azure-identity
aiohttp>=3.0
flask[async]
azure-storage-blob

=== eng/tools/azure-sdk-tools/tests/integration/scenarios/complex_requirements/requirements.txt ===
trio
requests
aiohttp>=3.0
opencensus>=0.6.0
opencensus-ext-azure
opencensus-ext-threading
-e ../../../../../../eng/tools/azure-sdk-tools
a/contained/package
https://docsupport.blob.core.windows.net/repackaged/azure-core-1.5.0.zip
./optional-environment-test-1.0.0.zip

=== debian/changelog ===
python-azure (20251104+git-1) unstable; urgency=medium

  * New upstream version 20251104+git
  * Bump version breaks with azure-cli

 -- Luca Boccassi <bluca@debian.org>  Tue, 04 Nov 2025 11:32:31 +0000

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
          python3-avro (>= 1.10.0~),
          ${misc:Depends},
          ${python3:Depends}
-Breaks: python3-azure-cli (<< 2.78.0),
+Breaks: python3-azure-cli (<< 2.79.0),
         python3-azure-cosmos,
 Replaces: python3-azure-cosmos,
 Suggests: python-azure-doc

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # Package all submodules except azure-sdk-tools, *nspkg
-MODULES = $(sort $(filter-out eng/tools/azure-sdk-tools scripts/quickstart_tooling_llc/template sdk/core/azure sdk/core/azure-mgmt sdk/edgemarketplace/azure-mgmt-edgemarketplace sdk/storage/azure-storage-extensions sdk/storage/azure-storage sdk/core/azure-core-tracing-opencensus sdk/core/azure-core-tracing-opentelemetry sdk/monitor/azure-monitor %-nspkg,$(foreach mod,$(wildcard */*/*),$(if $(or $(wildcard $(mod)/setup.py),$(wildcard $(mod)/pyproject.toml)),$(mod)))))
+MODULES = $(sort $(filter-out eng/tools/azure-sdk-tools scripts/quickstart_tooling_llc/template sdk/core/azure sdk/core/azure-mgmt sdk/edgemarketplace/azure-mgmt-edgemarketplace sdk/storage/azure-storage-extensions sdk/storage/azure-storage sdk/core/azure-core-tracing-opencensus sdk/core/azure-core-tracing-opentelemetry sdk/monitor/azure-monitor sdk/cognitivelanguage/azure-ai-textanalytics %-nspkg,$(foreach mod,$(wildcard */*/*),$(if $(or $(wildcard $(mod)/setup.py),$(wildcard $(mod)/pyproject.toml)),$(mod)))))
 
 # rules with wildcards do not like '/', so we have to escape. Use three dots as it's unlikely to be used in a name.
 MODULES_ESCAPE = $(subst /,...,$(MODULES))

## python-azure 20251118+git

=== sdk/agentserver/azure-ai-agentserver-agentframework/samples/basic_simple/requirements.txt ===
python-dotenv>=1.0.0
azure-identity
agent-framework-azure-ai
azure-ai-agentserver-core
azure-ai-agentserver-agentframework

=== sdk/agentserver/azure-ai-agentserver-agentframework/samples/simple_async/requirements.txt ===
python-dotenv
azure-identity
agent-framework-azure-ai
azure-ai-agentserver-core
azure-ai-agentserver-agentframework

=== sdk/agentserver/azure-ai-agentserver-agentframework/samples/workflow_agent_simple/requirements.txt ===
python-dotenv>=1.0.0
pydantic==2.12.2
azure-identity
agent-framework-azure-ai
azure-ai-agentserver-core
azure-ai-agentserver-agentframework

=== sdk/agentserver/azure-ai-agentserver-core/samples/bilingual_weekend_planner/requirements.txt ===
openai-agents>=0.3.3
python-dotenv
openai>=1.42.0
azure-identity>=1.17.0
opentelemetry-api>=1.26.0
opentelemetry-sdk>=1.26.0
opentelemetry-exporter-otlp-proto-http>=1.26.0
opentelemetry-exporter-otlp-proto-grpc>=1.26.0
opentelemetry-instrumentation-openai-agents-v2>=0.1.0
rich>=13.9.0
azure-ai-agentserver-core
# Optional tracing exporters
azure-monitor-opentelemetry-exporter>=1.0.0b16

=== sdk/agentserver/azure-ai-agentserver-core/samples/mcp_simple/requirements.txt ===
langchain-mcp-adapters==0.1.11
azure-ai-agentserver-core

=== sdk/agentserver/azure-ai-agentserver-core/samples/simple_mock_agent/requirements.txt ===
azure-ai-agentserver-core

=== sdk/agentserver/azure-ai-agentserver-langgraph/samples/agent_calculator/requirements.txt ===
python-dotenv>=1.0.0
azure-ai-agentserver-core
azure-ai-agentserver-langgraph

=== sdk/agentserver/azure-ai-agentserver-langgraph/samples/agentic_rag/requirements.txt ===
python-dotenv>=1.0.0
langchain_community==0.4.0
beautifulsoup4==4.14.2
azure-ai-agentserver-core
azure-ai-agentserver-langgraph

=== sdk/agentserver/azure-ai-agentserver-langgraph/samples/custom_state/requirements.txt ===
python-dotenv>=1.0.0
azure-ai-agentserver-core
azure-ai-agentserver-langgraph
openai
fastapi

=== sdk/agentserver/azure-ai-agentserver-langgraph/samples/mcp_apikey/requirements.txt ===
python-dotenv>=1.0.0
langchain-mcp-adapters==0.1.11
azure-ai-agentserver-core
azure-ai-agentserver-langgraph

=== sdk/agentserver/azure-ai-agentserver-langgraph/samples/mcp_simple/requirements.txt ===
python-dotenv>=1.0.0
langchain-mcp-adapters==0.1.11
azure-ai-agentserver-core
azure-ai-agentserver-langgraph

=== sdk/agentserver/azure-ai-agentserver-langgraph/samples/simple_agent_with_redis_checkpointer/requirements.txt ===
python-dotenv>=1.0.0
langgraph-checkpoint-redis==0.1.2
azure-ai-agentserver-core
azure-ai-agentserver-langgraph

=== debian/changelog ===
python-azure (20251118+git-1) unstable; urgency=medium

  * New upstream version 20251118+git
  * Bump version breaks with azure-cli
  * Fix installation path of Apache2 notice file

 -- Luca Boccassi <bluca@debian.org>  Tue, 18 Nov 2025 13:46:01 +0000

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
          python3-avro (>= 1.10.0~),
          ${misc:Depends},
          ${python3:Depends}
-Breaks: python3-azure-cli (<< 2.79.0),
+Breaks: python3-azure-cli (<< 2.80.0),
         python3-azure-cosmos,
 Replaces: python3-azure-cosmos,
 Suggests: python-azure-doc

=== debian/rules ===
--- 
+++ 
@@ -84,7 +84,7 @@
 		$(CURDIR)/debian/python3-azure-storage/usr/lib/python3/dist-packages/azure/storage/
 	# Apache2 license notice
 	mkdir -p $(CURDIR)/debian/python3-azure/usr/share/doc/python3-azure/
-	cp -v sdk/ml/azure-ai-ml/NOTICE.txt $(CURDIR)/debian/python3-azure/usr/share/doc/python3-azure/
+	cp -v sdk/evaluation/azure-ai-evaluation/NOTICE.txt $(CURDIR)/debian/python3-azure/usr/share/doc/python3-azure/
 
 # dh_auto_test overrides

## python-azure 20251202+git

=== debian/changelog ===
python-azure (20251202+git-1) unstable; urgency=medium

  * New upstream version 20251202+git
  * Bump version breaks with azure-cli

 -- Luca Boccassi <bluca@debian.org>  Tue, 02 Dec 2025 11:57:09 +0000

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
          python3-avro (>= 1.10.0~),
          ${misc:Depends},
          ${python3:Depends}
-Breaks: python3-azure-cli (<< 2.80.0),
+Breaks: python3-azure-cli (<< 2.81.0),
         python3-azure-cosmos,
 Replaces: python3-azure-cosmos,
 Suggests: python-azure-doc

## python-azure 20260113%2Bgit

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
          python3-avro (>= 1.10.0~),
          ${misc:Depends},
          ${python3:Depends}
-Breaks: python3-azure-cli (<< 2.81.0),
+Breaks: python3-azure-cli (<< 2.82.0),
         python3-azure-cosmos,
 Replaces: python3-azure-cosmos,
 Suggests: python-azure-doc

## python-azure 20260113+git

=== debian/changelog ===
python-azure (20260113+git-1) unstable; urgency=medium

  * New upstream version 20260113+git
  * Bump version breaks with azure-cli

 -- Luca Boccassi <bluca@debian.org>  Tue, 13 Jan 2026 14:40:33 +0100

## python-azure 20260203+git

=== debian/changelog ===
python-azure (20260203+git-1) unstable; urgency=medium

  * New upstream version 20260203+git
  * Bump version breaks with azure-cli

 -- Luca Boccassi <bluca@debian.org>  Tue, 03 Feb 2026 11:49:07 +0100

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
          python3-avro (>= 1.10.0~),
          ${misc:Depends},
          ${python3:Depends}
-Breaks: python3-azure-cli (<< 2.82.0),
+Breaks: python3-azure-cli (<< 2.83.0),
         python3-azure-cosmos,
 Replaces: python3-azure-cosmos,
 Suggests: python-azure-doc

## python-azure 20260303+git

=== debian/changelog ===
python-azure (20260303+git-1) unstable; urgency=medium

  * New upstream version 20260303+git
  * Bump version breaks with azure-cli

 -- Luca Boccassi <bluca@debian.org>  Tue, 03 Mar 2026 12:51:46 +0000

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
          python3-avro (>= 1.10.0~),
          ${misc:Depends},
          ${python3:Depends}
-Breaks: python3-azure-cli (<< 2.83.0),
+Breaks: python3-azure-cli (<< 2.84.0),
         python3-azure-cosmos,
 Replaces: python3-azure-cosmos,
 Suggests: python-azure-doc
